<div style="margin-bottom: 15px; margin-top: 10px;">
    <h5>
       <span jhiTranslate="mpmApp.generalUpload.home.title">General Uploads</span>
    </h5>
    <p-dataTable
        [value]="generalUploads"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idGeneralUpload"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item" *jhiHasAnyAuthority="'ROLE_ADMIN'">
                    <span>
                        <a class="btn" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-upload" aria-hidden="true"></i><label for="fileInput" style="cursor: pointer;"> &nbsp;&nbsp;{{ 'entity.action.loadFile' | translate }}</label>
                            <input id="fileInput" type="file" (change)="onFileSelect($event)" multiple="false" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet" style="display: none"/></span>
                        </a>
                    </span>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['general-upload-popup-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.generalUpload.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.generalUpload.internal'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.generalUpload.purpose'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.purposeId">
                    <a [routerLink]="['../purpose-type', rowData.purposeId  ]" >{{rowData.purposeDescription}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.generalUpload.description'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.description}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.generalUpload.value'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <a *ngIf="rowData.value" (click)="openFile(rowData.valueContentType, rowData.value)" jhiTranslate="entity.action.open">open</a>
                <span *ngIf="rowData.value">{{byteSize(rowData.value)}}</span>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.generalUpload.dateCreate'|translate}}" [style]="{'width': '130px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm'}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../general-upload/0/' + page + '/' + rowData.idGeneralUpload + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idGeneralUpload)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>